skip to navigation
skip to content

django-apptemplates 1.2

Django template loader that allows you to load and override a template from a specific Django application.

django-apptemplates is a Django template loader that allows you to load a template from a specific application. By this you can both extend and override a template at the same time. The default Django loaders require you to copy the entire template you want to override, even if you only want to override one small block.

Based on:

Version Support

Python 2.6 through 3.5, and Django 1.4 and above are supported (verified by tests).

Installation, Setup and Use

This package is available from PyPI. To install it simply execute:

$ pip install django-apptemplates

Settings (for Django 1.8+)

        'BACKEND': 'django.template.backends.django.DjangoTemplates',
        'OPTIONS': {
            'loaders': [

Settings (for Django < 1.8)


How to Use in Templates

Template usage example (extend and override Django admin base template):

{% extends "admin:admin/base.html" %}

The part before the colon (:) is called the Django app namespace.


Authors and Maintainers

Change Log


  • Reestablish support for Django 1.4 through 1.8 (broken since version 1.1)
  • Add tests for template rendering
  • Drop support for Django 1.3 (which cannot be confirmed by tests)
  • Drop support for Python 2.4 and 2.5 (which cannot be tested anymore)


  • Fix ImportError for Django 1.8 (broken in release 1.1)
  • Add integration tests (test import of package across supported versions)
  • Add clean and test commands to


  • Use django.template.Origin in computation of template location for Django 1.9 compatibility. – Thanks, Gilles Crettenand!


  • Remove Django 1.9 deprecation warning of imports
  • Update README with instructions for Django 1.8+


Skipped to fix conflicting versioning in and the PyPI package


  • Released as originally published on djangosnippets
File Type Py Version Uploaded on Size
django-apptemplates-1.2.tar.gz (md5) Source 2016-05-16 5KB